Latest 1.2.0
Homepage http://www.openremote.io
License MIT
Platforms ios 10, requires ARC
Dependencies Firebase/Core, Firebase/Messaging
Frameworks Foundation, FirebaseCore, FirebaseInstanceID, FirebaseMessaging

Latest podspec

{
    "name": "ORLib",
    "platforms": {
        "ios": "10"
    },
    "pod_target_xcconfig": {
        "OTHER_LDFLAGS": "$(inherited) -ObjC -framework "FirebaseCore" -framework "FirebaseInstanceID" -framework "FirebaseMessaging" -framework "Protobuf"",
        "CLANG_ALLOW_NON_MODULAR_INCLUDES_IN_FRAMEWORK_MODULES": "YES",
        "FRAMEWORK_SEARCH_PATHS": "$(inherited) $(PODS_ROOT)/FirebaseCore/Frameworks $(PODS_ROOT)/FirebaseInstanceID/Frameworks $(PODS_ROOT)/FirebaseMessaging/Frameworks"
    },
    "swift_version": "4.1",
    "summary": "The OpenRemote library to create console apps.",
    "requires_arc": true,
    "version": "1.2.0",
    "authors": "OpenRemote",
    "homepage": "http://www.openremote.io",
    "source": {
        "git": "https://github.com/openremote/openremote.git",
        "tag": "cocoapod1.2.0"
    },
    "frameworks": [
        "Foundation",
        "FirebaseCore",
        "FirebaseInstanceID",
        "FirebaseMessaging"
    ],
    "libraries": [
        "c++",
        "sqlite3",
        "z"
    ],
    "dependencies": {
        "Firebase/Core": [
            "~> 4.6.0"
        ],
        "Firebase/Messaging": [
            "~> 4.6.0"
        ]
    },
    "source_files": "console/iOS/ORLib/**/*.{swift}",
    "license": {
        "type": "MIT",
        "file": "console/iOS/ORLib/LICENSE"
    }
}

Pin It on Pinterest

Share This